Author Topic: Bad class file  (Read 970 times)

Offline sapo

  • byte
  • *
  • Posts: 3
    • View Profile
Bad class file
« on: September 14, 2011, 04:07:27 pm »
Hi..

Im trying to implement this sweet lib to my device.

However our system is running java 1.5 and i keep getting "bad class file"
class file has wrong version 50.0, should be 49.0.

What i learn through some googleing is that its the wrong java version.

Is it possible to get a jar compiled for 1.5? :)

// Sapo

Offline EgonOlsen

  • Administrator
  • quad
  • *****
  • Posts: 11913
    • View Profile
    • http://www.jpct.net
Re: Bad class file
« Reply #1 on: September 14, 2011, 09:36:34 pm »
Oh dear...anybody is still using Java5? Isn't upgrading an option? Anyway, try this jar: http://jpct.de/donwload/beta/jpct-ae.jar. I told Eclipse to create 1.5 compatible class files, but i'm not sure if that worked out.

Offline sapo

  • byte
  • *
  • Posts: 3
    • View Profile
Re: Bad class file
« Reply #2 on: September 15, 2011, 10:29:21 am »
Yay.. thanks..

It worked fine now and im on my way to blow some socks off :)

Ill have a talk with our techlead about the 1.5 obsession..

yet again thanks.

// Sapo

Offline EgonOlsen

  • Administrator
  • quad
  • *****
  • Posts: 11913
    • View Profile
    • http://www.jpct.net
Re: Bad class file
« Reply #3 on: September 15, 2011, 12:12:23 pm »
If it works that way, i can compile it against 1.5 from now on. There's currently no need for jPCT-AE for 1.6.

Offline sapo

  • byte
  • *
  • Posts: 3
    • View Profile
Re: Bad class file
« Reply #4 on: September 15, 2011, 01:26:23 pm »
That would be great...  ;D